> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer by ID

> Retrieve a specific customer by their unique identifier.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /customers/{id}
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
paths:
  /customers/{id}:
    get:
      tags:
        - Customers
      summary: Get Customer by ID
      description: Retrieve a specific customer by their unique identifier.
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Customer retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        '404':
          description: Customer not found.
components:
  schemas:
    Customer:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
          format: email
        phone:
          type: string
        group_id:
          type: integer
        balance:
          $ref: '#/components/schemas/Balance'
        cashback_balance:
          $ref: '#/components/schemas/CashbackBalance'
        group:
          $ref: '#/components/schemas/CustomerGroup'
        created_at:
          type: string
          format: date-time
    Balance:
      type: object
      properties:
        id:
          type: integer
        amount:
          type: number
        type:
          type: string
    CashbackBalance:
      type: object
      properties:
        id:
          type: integer
          nullable: true
        amount:
          type: number
        type:
          type: string
    CustomerGroup:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        discount_type:
          type: string
          nullable: true
        discount_value:
          type: number
        system_type:
          type: string
        total_amount:
          type: number
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````